#ifndef ITOA_C
#define ITOA_C

/* Small c library, by Jeremy Dewey (jxd45@po.cwru.edu)
   http://www.seashellinc.com/jdewey

   Synopsis:
      itoa(char* str, int number)

   Description:
      converts the number to its string representation and stores it in str,
      returning a pointer to str.

   Example:
      char str[6];
      itoa(str, 568);

   Notes:

*/

itoa(str, num) char* str; int num; {
#asm
	ld	hl,4
	add	hl,sp
	call	_gint
	ex	de,hl

	ld	hl,2
	add	hl,sp
	call	_gint

; Function converts the number HL into the string DE
_itoainner:
	ld	c, '0'		; ANSII offset code

	bit	7, h		; is HL Negitive
	jp	z,_itoaloop

	ld	b, 1		; Tempory thing to know we are doing this
	call	_neg		; HL = -HL
_itoaloop:

/*
   int k;
   char c, flag, *ostr;

   if (num < 0) {
      num = -num;
      *str++ = '-';
   }
   k = 10000;
   ostr = str;
   flag = 0;
   while (k) {
      c = num / k;
      if (c || k == 1 || flag) {
         num %= k;
         c += '0';
         *str++ = c;
         flag = 1;
      }
      k /= 10;
   }
   *str = '\0';
   return ostr;
*/
}

#endif
